%define upstream_name    Search-Tools
%define upstream_version 1.004

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    High-performance tools for building search applications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://cpan.metacpan.org/authors/id/K/KA/KARMAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor) >= 0.140.0
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Encode)
BuildRequires: perl(Encoding::FixLatin)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Moo)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Search::Query) >= 0.300.0
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl-devel
%description
This distribution is a set of utilities for building search
applications. Rather than adhering to a particular search application or
framework, the goal of Search::Tools is to provide general-purpose
methods for common search application features. Think of Search::Tools
like a toolbox rather than a hammer.
 
%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.4.0-3pclos2017
- rebuild against updates

